## openssl 3.5.0

=== debian/changelog ===
openssl (3.5.0-3) experimental; urgency=medium

  * Update to a git snapshot from the 3.5 branch (28a0b9c7974cd ("speed:
    Increase MAX_SIG_NUM and fix its usage in loopargs_t fields")).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 29 Jun 2025 14:14:37 +0200

openssl (3.5.0-2) unstable; urgency=medium

  * Fix P-384 curve on lower-than-P9 PPC64 targets Closes: #1106516).
  * CVE-2025-4575 ("The x509 application adds trusted use instead of
    rejected use") (Closes: #1106322).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 28 May 2025 22:13:00 +0200

openssl (3.5.0-1) unstable; urgency=medium

  * Import 3.5.0
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 08 Apr 2025 21:15:30 +0200

openssl (3.5.0~~beta1-1) experimental; urgency=medium

  * Import 3.5.0-beta1.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 26 Mar 2025 21:38:19 +0100

openssl (3.5.0~~alpha1-1) experimental; urgency=medium

  * Import 3.5.0-alpha1.
  * Remove usr/share/doc/libssl3 (Closes: #1098515).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 12 Mar 2025 22:08:55 +0100
