=== demos/guide/Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
         quic-client-block \
         quic-multi-stream \
         tls-client-non-block \
+        quic-server-block \
+        quic-server-non-block \
         quic-client-non-block
 
 CFLAGS  = -I../../include -g -Wall
@@ -22,13 +24,15 @@
 quic-client-block: quic-client-block.o
 quic-multi-stream: quic-multi-stream.o
 tls-client-non-block: tls-client-non-block.o
+quic-server-block: quic-server-block.o
+quic-server-non-block: quic-server-non-block.o
 quic-client-non-block: quic-client-non-block.o
 
 chain: chain.pem
 pkey.pem:
 	openssl genpkey -algorithm rsa -out pkey.pem -pkeyopt rsa_keygen_bits:2048
 chain.pem: pkey.pem
-	openssl req -x509 -new -key pkey.pem -days 36500 -subj / -out chain.pem
+	openssl req -x509 -new -key pkey.pem -days 36500 -subj '/CN=localhost' -out chain.pem
 
 $(TESTS):
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)
