=== debian/changelog ===
openssl (3.5.1-1) unstable; urgency=medium

  * Import 3.5.1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 12 Jul 2025 18:49:06 +0200
