## openssl 3.5.2

=== debian/changelog ===
openssl (3.5.2-1ubuntu1) questing; urgency=medium

   * Merge with Debian unstable (LP: #2121799). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
  * Patches refresh
    - d/p/fips/two-defines-for-fips-in-libssl-dev-headers.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 01 Sep 2025 15:47:30 +0200

openssl (3.5.2-1) unstable; urgency=medium

  * Import 3.5.2

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 10 Aug 2025 11:30:37 +0200

openssl (3.5.0-2ubuntu1) questing; urgency=medium

   * Merge with Debian unstable (LP: #2112457). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
  * Patches refresh
    - d/p/fips/crypto-Automatically-use-the-FIPS-provider-when-the-kerne.patch
    - d/p/fips/two-defines-for-fips-in-libssl-dev-headers.patch
  * Dropped patch, merged upstream (LP #2096810)
    - s390x-Add-hardware-acceleration-for-full-AES-XTS.patch
  * Drop all post-3.4.1 upstream patches

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 04 Jun 2025 12:46:00 +0200
