=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.22.5), libzstd-dev, zlib1g-dev
 Section: utils
 Priority: optional
-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@alioth-lists.debian.net>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/openssl
@@ -45,22 +46,6 @@
  Such algorithms have commonly fallen out of use, have been deemed insecure by
  the cryptography community, or something similar.
  For details see OSSL_PROVIDER-legacy man page.
-
-Package: openssl-provider-fips
-Architecture: any
-Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Secure Sockets Layer toolkit - cryptographic utility
- This package is part of the OpenSSL project's implementation of the SSL
- and TLS cryptographic protocols for secure communication over the
- Internet.
- .
- This package contains the FIPS provider. The OpenSSL FIPS provider is a
- special provider that conforms to the Federal Information Processing Standards
- (FIPS) specified in FIPS 140-2. This 'module' contains an approved set of
- cryptographic algorithms that is validated by an accredited testing
- laboratory.
- For details see OSSL_PROVIDER-fips and fips_module man page.
 
 Package: libssl3t64
 Provides: ${t64:Provides}
