=== debian/changelog ===
openssl (3.5.4-1) unstable; urgency=medium

  * Import 3.5.4
   - CVE-2025-9230 (Out-of-bounds read & write in RFC 3211 KEK Unwrap)
   - CVE-2025-9231 (Timing side-channel in SM2 algorithm on 64 bit ARM)
   - CVE-2025-9232 (Out-of-bounds read in HTTP client no_proxy handling)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 30 Sep 2025 21:54:39 +0200
