=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,12 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs optimize=-lto
 
 SHELL=/bin/bash
 
 package=openssl
+library_package=libssl3t64
 
 # For generating the manpages
 export VERSION=$(DEB_VERSION_UPSTREAM)
@@ -30,7 +31,7 @@
 endif
 
 CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl --libdir=lib/$(DEB_HOST_MULTIARCH) no-idea no-mdc2 no-rc5 no-ssl3 enable-unit-test no-ssl3-method enable-rfc3779 enable-cms no-capieng no-rdrand \
-	    enable-tfo enable-zstd enable-zlib enable-fips
+	    enable-tfo enable-zstd enable-zlib no-fips enable-jitter
 #OPT_alpha = ev4 ev5
 ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
 OPTS      = $($(ARCHOPTS))
@@ -146,6 +147,19 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
+override_dh_compress:
+	dh_compress
+	# symlink doc files
+	# We used to also add symlinks to changelog.gz but pkgstripfiles from
+	# pkgbinarymangler will remove the real changelog.gz file and break all the
+	# symlinks. Ignore changelog, it will end up as wanted.
+	# NB: pkgstripfiles is not done in PPAs
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz copyright; do \
+	    ln -sf ../$(library_package)/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
+
 override_dh_perl:
 	dh_perl -d
 
@@ -153,5 +167,5 @@
 	dh_makeshlibs -a -V --add-udeb="libcrypto3-udeb" -Xengines -Xossl-modules -- -c4
 
 override_dh_shlibdeps:
-	sed -i '/^udeb: libssl/s/libcrypto3-udeb/libssl3-udeb/' debian/libssl3t64/DEBIAN/shlibs
-	dh_shlibdeps -a -L libssl3t64
+	sed -i '/^udeb: libssl/s/libcrypto3-udeb/libssl3-udeb/' debian/$(library_package)/DEBIAN/shlibs
+	dh_shlibdeps -a -L $(library_package)
