## openssl 3.6.0~~alpha1

=== debian/changelog ===
openssl (3.6.0~~alpha1-1) experimental; urgency=medium

  * Import 3.6.0-alpha1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 06 Sep 2025 20:21:28 +0200
