## openssl 3.6.0~~beta1

=== debian/changelog ===
openssl (3.6.0~~beta1-1) experimental; urgency=medium

  * Import 3.6.0-beta1
  * Drop pic & Bsymbolic patches. This shouldn't be needed anymore.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 18 Sep 2025 21:36:20 +0200
