=== debian/changelog ===
openssl (3.6.0-1) experimental; urgency=medium

  * Import 3.6.0
  * Stop shipping c_rehash. It bas been long replaced by "openssl rehash"

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 03 Oct 2025 17:40:10 +0200
