## openssl encrypt-1.2.0

=== requirements.txt ===
# Core dependencies
cryptography>=44.0.1,<45.0.0  # Updated to fix CVE-2024-12797
argon2-cffi>=23.1.0,<24.0.0
# does not build on python 3.13
#whirlpool>=0.3 ; python_version < '3.12'
whirlpool-py311>=1.0.0,<2.0.0 ; python_version >= '3.11'
# Windows-specific dependencies
pywin32>=306,<307; sys_platform == 'win32'
PyYAML>=6.0.2,<7.0.0

# Optional post-quantum cryptography dependencies
# liboqs-python>=0.7.0  # Uncomment to enable post-quantum cryptography support

# Development tools (commented out by default)
pytest>=8.0.0,<9.0.0
pytest-cov>=4.1.0,<5.0.0
black>=24.1.0,<25.0.0
pylint>=3.0.0,<4.0.0
